org.apache.avro.io

## Interface FastReaderBuilder.FieldReader

All Superinterfaces:
  DatumReader<Object>

All Known Subinterfaces:
  FastReaderBuilder.ReusingFieldReader

All Known Implementing Classes:
  FastReaderBuilder.MapReader, FastReaderBuilder.RecordReader

Enclosing class:
  FastReaderBuilder

    public static interface FastReaderBuilder.FieldReader
    extends DatumReader<Object>

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default boolean` `canReuse()`
`Object` `read(Object reuse, Decoder decoder)` Read a datum.
`default void` `setSchema(Schema schema)` Set the writer's schema.

### Method Detail

#### read

    Object read(Object reuse,
                Decoder decoder)
         throws IOException

Description copied from interface: `DatumReader`
Read a datum. Traverse the schema, depth-first, reading all leaf values in the schema into a datum that is returned. If the provided datum is non-null it may be reused and returned.

Specified by:
  `read` in interface `DatumReader<Object>`
Throws:
  `IOException`

#### canReuse

    default boolean canReuse()

#### setSchema

    default void setSchema(Schema schema)

Description copied from interface: `DatumReader`
Set the writer's schema.

Specified by:
  `setSchema` in interface `DatumReader<Object>`